Subject: Re: [PATCH v2 00/12] merge summary and diffstat options cleanup

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Apr 2008 21:23:05 -0700

SZEDER Gábor <[email-masked]> writes:

> On Sat, Apr 05, 2008 at 07:36:57PM -0700, Junio C Hamano wrote:
>> ...this hunk removes the original options from OPTIONS_SPEC, I suspect you
>> would get "unknown option 'stat'" from underlying "git rev-parse --parseopt".
>> 
>> You probably haven't noticed the breakage because you replaced all
>> existing --summary with --stat in the tests, though.  Oops.
> It was not clear to me that this OPTIONS_SPEC is used for parsing,
> too.  This series fixes the problem.

The previous one already is on 'next'.  If you have anything new to add,
please improve upon them incrementally.